"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const path_1 = require("path");
const fs_1 = require("fs");
const utils_1 = require("./utils");
/**
 * Gets icon associated with file extension.
 * @param ext Extension (e.g `html`)
 * @param options
 */
exports.getExtIcon = (ext, options) => {
    return new Promise((resolve, reject) => __awaiter(this, void 0, void 0, function* () {
        const tempPath = electron_1.app.getPath('temp');
        const filePath = path_1.resolve(tempPath, utils_1.makeId(16) + '.' + ext);
        yield fs_1.promises.writeFile(filePath, null);
        electron_1.app.getFileIcon(filePath, options, (err, icon) => __awaiter(this, void 0, void 0, function* () {
            if (err)
                return reject(err);
            yield fs_1.promises.unlink(filePath);
            resolve(icon);
        }));
    }));
};
